X-Git-Url: https://zdv2.bktei.com/gitweb/EVA-2020-02.git/blobdiff_plain/032f4b050a0ebb190fdef3497e2dee52cd04031b..c609b9c8d377902faa6a979eea643b239e3e4a62:/exec/bkgpslog?ds=sidebyside

diff --git a/exec/bkgpslog b/exec/bkgpslog
index df20b54..043dc05 100755
--- a/exec/bkgpslog
+++ b/exec/bkgpslog
@@ -1,6 +1,5 @@
 #!/bin/bash
 
-# Date: 2020-03-30T02:13Z
 # Author: Steven Baltakatei Sandoval
 
 #== Variable Initialization ==
@@ -14,7 +13,13 @@ SCRIPT_TIME_SHORT="$(date +%Y%m%dT%H%M%S%z)" # Save current date & time in ISO-8
 SCRIPT_DATE_SHORT="$(date +%Y%m%d)"          # Save current date in ISO-8601 format.
 #DIROUT1="/home/pi/Sync/Evanescent_Location"  # Define output directory.
 
-#== Function Definitions ==
+#== Script Function Definitions ==
+# Yell, Die, Try Three-Fingered Claw technique
+# Ref/Attrib: https://stackoverflow.com/a/25515370
+yell() { echo "$0: $*" >&2; }
+die() { yell "$*"; exit 111; }
+try() { "$@" || die "cannot $*"; }
+
 echoerr() {
     echo "$@" 1>&2; # Define stderr echo function.
 } # Define stderr message function.